Installing or running SAMSON on Ubuntu 17.04 and later versions



  • If you experience some problems installing or running SAMSON on Ubuntu 17.04 or later with Nvidia GPU, it might be due to problems between Nvidia driver and GNOME Display Manager (gdm3). This might be caused by Wayland. You may try to use the Xorg display server instead of Wayland. For that, at the login console choose Xorg server instead of Wayland, or uncomment the line #WaylandEnable=false in the file /etc/gdm3/custom.conf.

    Before installing Nvidia driver, check which Nvidia driver version is compatible with your GPU. To check which GPU you have, run this command:

    lspci | grep VGA
    

    To install Nvidia driver, run the following command with the version that supports your GPU:

    sudo apt-get install nvidia-xxx
    

    If you still experience some problems with Nvidia drivers and GNOME Display Manager with Xorg server, you may try to switch to LightDM display manager (Canonical's solution for a display manager). To switch to lightdm, run the following command:

    sudo dpkg-reconfigure lightdm
    

    or if it was not previously installed run:

    sudo apt-get install lightdm
    

    and choose lightdm.

    To check which display manager is currently being used, run this command:

    cat /etc/X11/default-display-manager
    

    If you cannot install or run SAMSON because there is no libOpenGL or libGLX, check if they present in the system by running the following commands:

    sudo updatedb
    locate libOpenGL.so
    locate libGLX.so
    

    If a driver you installed does not provide libOpenGL, you may try to install libopengl0 (a vendor-neutral dispatch layer):

    sudo apt-get install libopengl0
    

    If you have no libGLX installed, you may create a symbolic link to libGL provided by Nvidia driver (not by mesa):

    locate libGL.so
    sudo ln -s /usr/lib/nvidia-xxx/libGL.so /usr/lib/x86_64-linux-gnu/libGLX.so.0 
    


  • Hi,
    I'm trying to install SAMSON on UBUNTU.After giving command "../SAMSON-Setup.run" i'm getting the following error
    ./InstallSAMSON: error while loading shared libraries: libOpenGL.so.0: cannot open shared object file: No such file or directory
    restoring context.
    Please advise how to avoid this error.

    Thank in advance.



  • Hi @Subhajig ,
    What Ubuntu version do you have?
    Do you have an Nvidia GPU? You can check it with the following command in the terminal:

    lspci | grep VGA
    


  • Thanks for quick reply,
    My UBUNTU version is 16.04.4 LTS.
    After giving "1spci | grep VGA" i'm getting following
    "00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)"
    Thanks in advance.



  • It seems that your system does not have a dedicated GPU. You should be able to run SAMSON with Intel (with built-in graphics), but you may lack some SAMSON features, which relies on GPU.

    Could you, please, check the result of the following command in your terminal:

    glxinfo | grep OpenGL
    

    If you see "The program 'glxinfo' is currently not installed", you will need to install the mesa:

    sudo apt-get install build-essential mesa-utils libgl1-mesa-dev
    

    After the installation, try the glxinfo | grep OpenGL command again in the terminal.



  • Hi,
    Sorry for delay.After installing mesa also I'm getting same error.Please give some suggestions to avoid this issues.
    Thank in advance
    Subhajit



  • Please, post the output of the following command:

    glxinfo | grep OpenGL
    


  • I'm getting following
    OpenGL vendor string: Intel Open Source Technology Center
    OpenGL renderer string: Mesa DRI Intel(R) Haswell Desktop
    OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.2.8
    OpenGL core profile shading language version string: 3.30
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 3.0 Mesa 17.2.8
    OpenGL shading language version string: 1.30
    OpenGL context flags: (none)
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 3.0 Mesa 17.2.8
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
    OpenGL ES profile extensions:



  • Could you please run the following command in the terminal and post it here:

    locate libOpenGL.so
    

    If you see in the result, for example, /usr/lib/x86_64-linux-gnu/libOpenGL.so but no libOpenGL.so.0, you will need to create a symlink.



  • Hi,
    Thank you for your reply.Could you please tell me how will I create a symlink.



  • Does the command locate libOpenGL.so show you libOpenGL.so or not?
    The symlink can be created in the terminal as follows:

    ln -s target linkname
    


  • After giving command 'locate libOpenGL.so' i'm not getting any output.



  • @Subhajig

    Could you, please, double-check whether libgl1-mesa-dev is installed:

    sudo apt-get install build-essential mesa-utils libgl1-mesa-dev
    

    Please, check the troubleshooting section of the SAMSON Installation guide.
    You can do a symlink to the libQt5OpenGL.so shipped together with SAMSON:

    ln -s $HOME/NANO-D/SAMSON/0.7.0/Binaries/SAMSONQtLibs/libQt5OpenGL.so $HOME/NANO-D/SAMSON/0.7.0/Binaries/SAMSONQtLibs/libOpenGL.so.0
    

    or you can install compiz and create symlink to its OpenGL:

    sudo apt-get install compiz-dev
    sudo ln -s /usr/lib/x86_64-linux-gnu/compiz/libopengl.so $HOME/NANO-D/SAMSON/0.7.0/Binaries/SAMSONQtLibs/libOpenGL.so.0
    


  • Hi
    Thank you for your help.It worked fine.But Now I have another problem.In SAMSON installer tab I 'm not able to write samson key after giving my email address,
    So installation is not being started.



  • Installation is done.


Log in to reply
 

Looks like your connection to SAMSON Connect - Forum was lost, please wait while we try to reconnect.